#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF2,0x3A,0x32,0x79,0x20,0xE0,0x5C,0x42,0x53,0xBB,0x87,0x80,
		0x2A,0x4F,0x59,0xAA,0x1D,0xB8,0x30,0xDB,0xC7,0x4D,0xF2,0xDF,
		0x26,0xD9,0xDE,0x85,0x4B,0xBB,0xE7,0x8E,0x1B,0x10,0x0F,0x14,
		0xE1,0x85,0x8C,0x16,0x5C,0x89,0xC3,0xE8,0x84,0x9F,0xF8,0xA4,
		0x3C,0x06,0x83,0xC0,0x32,0x33,0xF7,0x7A,0x7A,0x74,0xEC,0x36,
		0xE4,0x62,0x4C,0xCB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
